/*
 * test.c
 *
 *  Created on: 2022530
 *      Author: Administrator
 */

#include "test.h"
#include "lcd.h"
#include "gui.h"
#include "pic.h"
#include "ch32v30x.h"
#include "debug.h"
//========================variable==========================//
u16 ColorTab[5]={RED,GREEN,BLUE,YELLOW,BRED};//ɫ
//=====================end of variable======================//

/*****************************************************************************
 * @name       :void DrawTestPage(u8 *str)
 * @date       :2018-08-09
 * @function   :Drawing test interface
 * @parameters :str:the start address of the Chinese and English strings
 * @retvalue   :None
******************************************************************************/
void DrawTestPage(u8 *str)
{
//ƹ̶up
LCD_Clear(WHITE);
LCD_Fill(0,0,lcddev.width,20,BLUE);
//ƹ̶down
LCD_Fill(0,lcddev.height-20,lcddev.width,lcddev.height,BLUE);
POINT_COLOR=WHITE;
Gui_StrCenter(0,2,WHITE,BLUE,str,16,1);//ʾ
Gui_StrCenter(0,lcddev.height-18,WHITE,BLUE,"kaysen.yang@foxmail.com",16,1);//ʾ
//Ʋ
//LCD_Fill(0,20,lcddev.width,lcddev.height-20,WHITE);
}

/*****************************************************************************
 * @name       :void main_test(void)
 * @date       :2018-08-09
 * @function   :Drawing the main Interface of the Comprehensive Test Program
 * @parameters :None
 * @retvalue   :None
******************************************************************************/
void main_test(void)
{
    DrawTestPage("ۺϲԳ");
    Gui_StrCenter(0,30,RED,BLUE,"LHC",16,1);//ʾ
    Gui_StrCenter(0,60,RED,BLUE,"ۺϲԳ",16,1);//ʾ
    Gui_StrCenter(0,90,GREEN,BLUE,"3.5\" ILI9488 320X480",16,1);//ʾ
    Gui_StrCenter(0,120,BLUE,BLUE,"kaysen.yang@foxmail 2020-09-09",16,1);//ʾ
    Delay_Ms(1500);
    Delay_Ms(1500);
}

/*****************************************************************************
 * @name       :void Test_Color(void)
 * @date       :2018-08-09
 * @function   :Color fill test(white,black,red,green,blue)
 * @parameters :None
 * @retvalue   :None
******************************************************************************/
void Test_Color(void)
{
    //DrawTestPage("1:ɫ");
    LCD_Fill(0,0,lcddev.width,lcddev.height,WHITE);
    Show_Str(20,30,BLUE,YELLOW,"BL Test",16,1);Delay_Ms(800);
    LCD_Fill(0,0,lcddev.width,lcddev.height,RED);
    Show_Str(20,30,BLUE,YELLOW,"RED ",16,1);Delay_Ms(800);
    LCD_Fill(0,0,lcddev.width,lcddev.height,GREEN);
    Show_Str(20,30,BLUE,YELLOW,"GREEN ",16,1);Delay_Ms(800);
    LCD_Fill(0,0,lcddev.width,lcddev.height,BLUE);
    Show_Str(20,30,RED,YELLOW,"BLUE ",16,1);Delay_Ms(800);
}

/*****************************************************************************
 * @name       :void Test_FillRec(void)
 * @date       :2018-08-09
 * @function   :Rectangular display and fill test
                                Display red,green,blue,yellow,pink rectangular boxes in turn,
                                1500 milliseconds later,
                                Fill the rectangle in red,green,blue,yellow and pink in turn
 * @parameters :None
 * @retvalue   :None
******************************************************************************/
void Test_FillRec(void)
{
    u8 i=0;
    DrawTestPage("2:GUI");
    LCD_Fill(0,20,lcddev.width,lcddev.height-20,WHITE);
    for (i=0; i<5; i++)
    {
        POINT_COLOR=ColorTab[i];
        LCD_DrawRectangle(lcddev.width/2-80+(i*15),lcddev.height/2-80+(i*15),lcddev.width/2-80+(i*15)+60,lcddev.height/2-80+(i*15)+60);
    }
    Delay_Ms(1500);
    LCD_Fill(0,20,lcddev.width,lcddev.height-20,WHITE);
    for (i=0; i<5; i++)
    {
        POINT_COLOR=ColorTab[i];
        LCD_DrawFillRectangle(lcddev.width/2-80+(i*15),lcddev.height/2-80+(i*15),lcddev.width/2-80+(i*15)+60,lcddev.height/2-80+(i*15)+60);
    }
    Delay_Ms(1500);
}

/*****************************************************************************
 * @name       :void Test_Circle(void)
 * @date       :2018-08-09
 * @function   :circular display and fill test
                                Display red,green,blue,yellow,pink circular boxes in turn,
                                1500 milliseconds later,
                                Fill the circular in red,green,blue,yellow and pink in turn
 * @parameters :None
 * @retvalue   :None
******************************************************************************/
void Test_Circle(void)
{
    u8 i=0;
    DrawTestPage("3:GUIԲ");
    LCD_Fill(0,20,lcddev.width,lcddev.height-20,WHITE);
    for (i=0; i<5; i++)
        gui_circle(lcddev.width/2-80+(i*25),lcddev.height/2-50+(i*25),ColorTab[i],30,0);
    Delay_Ms(1500);
    LCD_Fill(0,20,lcddev.width,lcddev.height-20,WHITE);
    for (i=0; i<5; i++)
        gui_circle(lcddev.width/2-80+(i*25),lcddev.height/2-50+(i*25),ColorTab[i],30,1);
    Delay_Ms(1500);
}

/*****************************************************************************
 * @name       :void English_Font_test(void)
 * @date       :2018-08-09
 * @function   :English display test
 * @parameters :None
 * @retvalue   :None
******************************************************************************/
void English_Font_test(void)
{
    DrawTestPage("5:Ӣʾ");
    Show_Str(10,30,BLUE,YELLOW,"6X12:abcdefghijklmnopqrstuvwxyz0123456789",12,0);
    Show_Str(10,45,BLUE,YELLOW,"6X12:ABCDEFGHIJKLMNOPQRSTUVWXYZ0123456789",12,1);
    Show_Str(10,60,BLUE,YELLOW,"6X12:~!@#$%^&*()_+{}:<>?/|-+.",12,0);
    Show_Str(10,80,BLUE,YELLOW,"8X16:abcdefghijklmnopqrstuvwxyz0123456789",16,0);
    Show_Str(10,100,BLUE,YELLOW,"8X16:ABCDEFGHIJKLMNOPQRSTUVWXYZ0123456789",16,1);
    Show_Str(10,120,BLUE,YELLOW,"8X16:~!@#$%^&*()_+{}:<>?/|-+.",16,0);
    Delay_Ms(1200);
}

/*****************************************************************************
 * @name       :void Test_Triangle(void)
 * @date       :2018-08-09
 * @function   :triangle display and fill test
                                Display red,green,blue,yellow,pink triangle boxes in turn,
                                1500 milliseconds later,
                                Fill the triangle in red,green,blue,yellow and pink in turn
 * @parameters :None
 * @retvalue   :None
******************************************************************************/
void Test_Triangle(void)
{
    u8 i=0;
    DrawTestPage("4:GUI Triangle");
    LCD_Fill(0,20,lcddev.width,lcddev.height-20,WHITE);
    for(i=0;i<5;i++)
    {
        POINT_COLOR=ColorTab[i];
        Draw_Triangel(lcddev.width/2-80+(i*20),lcddev.height/2-20+(i*15),lcddev.width/2-50-1+(i*20),lcddev.height/2-20-52-1+(i*15),lcddev.width/2-20-1+(i*20),lcddev.height/2-20+(i*15));
    }
    Delay_Ms(1500);
    LCD_Fill(0,20,lcddev.width,lcddev.height-20,WHITE);
    for(i=0;i<5;i++)
    {
        POINT_COLOR=ColorTab[i];
        Fill_Triangel(lcddev.width/2-80+(i*20),lcddev.height/2-20+(i*15),lcddev.width/2-50-1+(i*20),lcddev.height/2-20-52-1+(i*15),lcddev.width/2-20-1+(i*20),lcddev.height/2-20+(i*15));
    }
    Delay_Ms(1500);
}

/*****************************************************************************
 * @name       :void Chinese_Font_test(void)
 * @date       :2018-08-09
 * @function   :chinese display test
 * @parameters :None
 * @retvalue   :None
******************************************************************************/
void Chinese_Font_test(void)
{
    DrawTestPage("6:ʾ");
    Show_Str(10,30,BLUE,YELLOW,"16X16:LHC޹˾ӭ",16,0);
    Show_Str(10,50,BLUE,YELLOW,"16X16:Welcome LHC",16,0);
    Show_Str(10,70,BLUE,YELLOW,"24X24:Ĳ",24,1);
    Show_Str(10,100,BLUE,YELLOW,"32X32:",32,1);
    Delay_Ms(1200);
}

/*****************************************************************************
 * @name       :void Pic_test(void)
 * @date       :2018-08-09
 * @function   :picture display test
 * @parameters :None
 * @retvalue   :None
******************************************************************************/
void Pic_test(void)
{
    DrawTestPage("7:ͼƬʾ");
    //LCD_Fill(0,20,lcddev.width,lcddev.height-20,WHITE);
    Gui_Drawbmp16(30,30,gImage_qq);
    Show_Str(30+12,75,BLUE,YELLOW,"QQ",16,1);
    Gui_Drawbmp16(90,30,gImage_qq);
    Show_Str(90+12,75,BLUE,YELLOW,"QQ",16,1);
    Gui_Drawbmp16(150,30,gImage_qq);
    Show_Str(150+12,75,BLUE,YELLOW,"QQ",16,1);
    Delay_Ms(1200);
}

/*****************************************************************************
 * @name       :void Rotate_Test(void)
 * @date       :2018-08-09
 * @function   :rotate test
 * @parameters :None
 * @retvalue   :None
******************************************************************************/
void Rotate_Test(void)
{
    u8 i=0;
    u8 *Direction[4]={"Rotation:0","Rotation:90","Rotation:180","Rotation:270"};

    for(i=0;i<4;i++)
    {
    LCD_direction(i);
    DrawTestPage("8:Ļת");
    Show_Str(20,30,BLUE,YELLOW,Direction[i],16,1);
    Gui_Drawbmp16(30,50,gImage_qq);
    Delay_Ms(1000);Delay_Ms(1000);
    }
    LCD_direction(USE_HORIZONTAL);
}
